// TrueFence based on id's proto_fence, but you can shoot through it.

textures/ut_druglord/truefence
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
        nopicmip

	{
		map textures/ut_druglord/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/glass_green_lit
{
	q3map_surfacelight 500
	qer_editorimage textures/ut_druglord/glass_green.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_druglord/glass_green.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut_druglord/camo_nonsolid
{
	qer_editorimage textures/ut_druglord/camo.tga
	surfaceparm nonsolid
	{
		map textures/ut_druglord/camo.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/light_glass
{
	qer_editorimage textures/ut_druglord/shiny3.tga
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/ut_druglord/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_druglord/green-camo-net
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_druglord/green-camo-net.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut_druglord/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_druglord/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Skybox

textures/ut_druglord/druglord_sky
{
	qer_editorimage textures/ut_druglord/druglord_sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_sun 1 .725 .3725 200 30 70
//	q3map_sun 1 .725 .3725 175 120 30
	skyparms textures/ut_druglord/env/dlsky - -
}


// Terrain
textures/ut_druglord/dlterrain_base
{
	q3map_lightmapsamplesize 2
	q3map_nonplanar
	q3map_lightmapmergable
	q3map_shadeangle 120
	q3map_lightmapsize 512 512
	q3map_lightmapGamma 3.0
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
}
textures/ut_druglord/dlterrain_0
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	{
		map textures/ut_druglord/grassbrown1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/ut_druglord/dlterrain_1
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	{
		map textures/ut_druglord/desertrock.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/ut_druglord/dlterrain_0to1
{
	q3map_baseshader textures/ut_druglord/dlterrain_base
	
	{
		map textures/ut_druglord/grassbrown1.tga
	}
	{
		map textures/ut_druglord/desertrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/ut_druglord/dlterrain_vx
{
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_druglord/grassbrown1.tga
		rgbGen vertex
	}
}